com.mysql.jdbc

## Class EscapeTokenizer

- java.lang.Object
- - com.mysql.jdbc.EscapeTokenizer

    public class EscapeTokenizer
    extends java.lang.Object

EscapeTokenizer breaks up an SQL statement into SQL and escape code parts.

### Constructor Summary

Constructors
Constructor and Description
`EscapeTokenizer(java.lang.String s)` Creates a new EscapeTokenizer object.

### Method Summary

Methods
`boolean` `hasMoreTokens()` Does this tokenizer have more tokens available?
`java.lang.String` `nextToken()` Returns the next token
`(package private) boolean` `sawVariableUse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EscapeTokenizer

    public EscapeTokenizer(java.lang.String s)

Creates a new EscapeTokenizer object.

Parameters:
  `s` - the string to tokenize

### Method Detail

#### hasMoreTokens

    public boolean hasMoreTokens()

Does this tokenizer have more tokens available?

Returns:
  if this tokenizer has more tokens available

#### nextToken

    public java.lang.String nextToken()

Returns the next token

Returns:
  the next token.

#### sawVariableUse

    boolean sawVariableUse()